$width: 100%;
$height: 95%;

.card-container-title {
    font-weight: bold;
    font-size: 25px;
    margin-right: auto;
}

.deck {
    margin: 0 40px;
    display: flex;
    height: 100%;
    padding-bottom: 4rem;
}

.available_cards {
    width: $width;
}

.current_deck {
    width: $width;
}

/* Scrollbar style*/

::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }
::-webkit-scrollbar-track {
    border-radius: 10px;
    background: rgba(0,0,0,0.1);
  }
::-webkit-scrollbar-thumb{
    border-radius: 10px;
    background: rgba(0,0,0,0.2);
  }
::-webkit-scrollbar-thumb:hover{
  	background: rgba(0,0,0,0.4);
  }
::-webkit-scrollbar-thumb:active{
  	background: rgba(0,0,0,.9);
  }


.card-container {
    margin: 0 20px;
    // ! Do not fix height
    display: grid;
    justify-items: center;
    grid-template-columns: repeat(4, 1fr);
    max-height: $height;
    overflow-y: auto;
}

/* Media Query for Mobile Devices */ 
@media (max-width: 480px) { 
    .card-container { 
        grid-template-columns: repeat(1, 1fr);
    } 
} 
  
/* Media Query for low resolution  Tablets, Ipads */ 
@media (min-width: 481px) and (max-width: 767px) { 
    .card-container { 
        grid-template-columns: repeat(1, 1fr);
    } 
} 
  
/* Media Query for Tablets Ipads portrait mode */ 
@media (min-width: 768px) and (max-width: 1024px){ 
    .card-container { 
        grid-template-columns: repeat(2, 1fr);
    } 
} 
  
/* Media Query for Laptops and Desktops */ 
@media (min-width: 1025px) and (max-width: 1280px){ 
    .card-container { 
        grid-template-columns: repeat(3, 1fr);
    } 
} 
  
/* Media Query for Large screens */ 
@media (min-width: 1281px) { 
    .card-container { 
        justify-items: start;
    } 
} 
